%{!?python3_version: %global python3_version %(%{__python3} -c "import sys; sys.stdout.write(sys.version[:3])")}

%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%endif

%if 0%{?fedora}
%{!?python3_pkgversion: %global python3_pkgversion 3}
%else
%{!?python3_pkgversion: %global python3_pkgversion 34}
%endif

%global upstream_name vcrpy

Name:           python-%{upstream_name}
Version:        1.7.4
Release:        1%{?dist}
Summary:        Automatically mock your HTTP interactions to simplify and speed up testing

License:        MIT
URL:            https://github.com/kevin1024/vcrpy
Source0:        https://pypi.python.org/packages/source/v/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  pytest
BuildRequires:  python-mock
BuildRequires:  python-pytest-localserver
 
%if %{?with_python3}
BuildRequires:  python3-pkgversion-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-mock
BuildRequires:  python%{python3_pkgversion}-pytest-localserver
%endif # if with_python3
 
Requires:       PyYAML
Requires:       python-mock
Requires:       python-six
Requires:       python-contextlib2
Requires:       python-wrapt

%description
VCR.py simplifies and speeds up testing HTTP by recording all HTTP interactions
and saving them to "cassette" files, which are yaml files containing the
contents of your requests and responses. Then when you run your tests again,
they all just hit the text files instead of the internet. This speeds up your
tests and lets you work offline.

If the server you are testing against ever changes its API, all you need to do
is delete your existing cassette files, and run your tests again. All of the
mocked responses will be updated with the new API.


%if 0%{?with_python3}
%package -n     python%{python3_pkgversion}-%{upstream_name}
Summary:        Automatically mock your HTTP interactions to simplify and speed up testing
 
Requires:       python%{python3_pkgversion}-PyYAML
Requires:       python%{python3_pkgversion}-mock
Requires:       python%{python3_pkgversion}-six
Requires:       python%{python3_pkgversion}-contextlib2
Requires:       python%{python3_pkgversion}-wrapt

%description -n python%{python3_pkgversion}-%{upstream_name}
VCR.py simplifies and speeds up testing HTTP by recording all HTTP interactions
and saving them to "cassette" files, which are yaml files containing the
contents of your requests and responses. Then when you run your tests again,
they all just hit the text files instead of the internet. This speeds up your
tests and lets you work offline.

If the server you are testing against ever changes its API, all you need to do
is delete your existing cassette files, and run your tests again. All of the
mocked responses will be updated with the new API.
%endif # with_python3


%prep
%setup -q -n %{upstream_name}-%{version}
# Remove bundled egg-info
rm -rf %{upstream_name}.egg-info


%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3


%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
rm -rf %{buildroot}
%{__python2} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3


%files
%defattr(-,root,root,-)
%doc 
%{python2_sitelib}/vcr
%{python2_sitelib}/%{upstream_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{upstream_name}
%defattr(-,root,root,-)
%doc 
%{python3_sitelib}/vcr
%{python3_sitelib}/%{upstream_name}-%{version}-py?.?.egg-info
%endif # with_python3


%changelog
* Thu Jan 14 2016 Aurelien Bompard <abompard@fedoraproject.org> - 1.7.4-1
- version 1.7.4

* Thu Feb 12 2015 Aurelien Bompard - 1.2.0-1
- Initial package.
